{

PRT test 0060: Verify that the tag type of a variant record must
               be an ordinal type identifier

               ISO 7185 reference: 6.4.3.3
}

program iso7185prt0060(output);

type myType = array['1'..'9'] of boolean;
var
   a: record case val: myType of
        true:  (i: integer);
        false: (c: char);
      end;

begin

   a.val := false;
   a.c := 'c';

end.
